org.apache.directory.mavibot.btree.exception

## Class BTreeAlreadyManagedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.directory.mavibot.btree.exception.BTreeAlreadyManagedException

- All Implemented Interfaces:
    Serializable

      public class BTreeAlreadyManagedException
      extends Exception

  An exception thrown when we try to manage a BTree which name is already managed by the RecordManager
  Author:
    Apache Directory Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BTreeAlreadyManagedException()` Creates a new instance of BtreeAlreadyManagedException.
    `BTreeAlreadyManagedException(String explanation)` Creates a new instance of BtreeAlreadyManagedException.
    `BTreeAlreadyManagedException(String explanation, Throwable cause)` Creates a new instance of KeyNotFoundException.
    `BTreeAlreadyManagedException(Throwable cause)` Creates a new instance of BtreeAlreadyManagedException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BTreeAlreadyManagedException

          public BTreeAlreadyManagedException()

      Creates a new instance of BtreeAlreadyManagedException.

    - #### BTreeAlreadyManagedException

          public BTreeAlreadyManagedException(String explanation)

      Creates a new instance of BtreeAlreadyManagedException.
      Parameters:
        `explanation` - The message associated with the exception

    - #### BTreeAlreadyManagedException

          public BTreeAlreadyManagedException(Throwable cause)

      Creates a new instance of BtreeAlreadyManagedException.

    - #### BTreeAlreadyManagedException

          public BTreeAlreadyManagedException(String explanation,
                                      Throwable cause)

      Creates a new instance of KeyNotFoundException.
      Parameters:
        `explanation` - The message associated with the exception
        `cause` - The root cause for this exception

Copyright © 2012–2015 Apache Mavibot Project Parent. All rights reserved.